opam-version: "2.0"
synopsis: "Optional pgocaml ppx"
maintainer: ["contact@functori.com"]
authors: ["Maxime Levillain <maxime.levillain@functori.com"]
license: "LGPL-2.0-only with OCaml-LGPL-linking-exception"
homepage: "https://gitlab.com/functori/pgocaml_ppx_opt"
bug-reports: "https://gitlab.com/functori/pgocaml_ppx_opt/-/issues"
depends: [
  "dune" {>= "2.9"}
  "pgocaml"
  "ppxlib"
  "ocaml" {>= "4.08"}
  "odoc" {with-doc}
]
build: [
  ["dune" "subst"] {dev}
  [
    "dune"
    "build"
    "-p"
    name
    "-j"
    jobs
    "--promote-install-files=false"
    "@install"
    "@runtest" {with-test}
    "@doc" {with-doc}
  ]
  ["dune" "install" "-p" name "--create-install-files" name]
]
dev-repo: "git://gitlab.com/functori/pgocaml_ppx_opt"
